Subject: Re: bug#39233: .elc file - possibly outdated backward compatibility comments

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Jan 2020 12:29:03 -0500

> for the use cases I need this -- which is running old Emacs binaries
> to quickly bisect bugs in C code or in preloaded Lisp -- this doesn't
> sound like a terrible problem.  As long as this use case works as well
> (or as badly) as it did before, modulo the warning.

Yes, it will work just as well/poorly, modulo the warning.

> I feared that this won't work at all, because the *.elc files lack
> something which old Emacs binaries will look for at load time.

No, there should be no change in this respect: when loading a .elc file,
the only thing we look for (other than actually reading&evalling the
sexps) is to look for some kind of "version number" which is encoded in
the 4th byte of the file, a part that we have no intention to
change, AFAIK.

        Stefan